
#include <WFX/io/FileInputStream.h>

using namespace WFX;
using namespace WFX::io;
using namespace WFX::lang;
using namespace std;

FileInputStream::FileInputStream(const File& f, ios_base::openmode m) {
    ifstream* in = new ifstream(f.toString().data(), m);
    setStream(in);
    IFStream = in;
}

FileInputStream::~FileInputStream() {
    IFStream->close();
}


